Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0025930
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 02. Master data managementmajoralways2014-03-07 10:532015-09-22 18:34
ReporterVictorVillarView Statuspublic 
Assigned Toaferraz 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revisionee61e2853e24
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned Tovmromanos
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0025930: It should not be possible to change the product definition

DescriptionIt should not be possible to change the product definition. Item, stockable, production...
Steps To ReproduceIt should not be possible to change the product definition. Item, stockable, production...
Proposed SolutionDo not allow to update the product from No stocked to Stocked if it appears in completed documents which generate inventory transactions (Goods Receipt, Goods Shipment, Goods Movement, Physical Inventory or Bill of Materials Production)
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0031833 closedaferraz Inconsistent data in M_STORAGE_PENDING table if the product is changed from Not Stocked to Stocked having pending orders 
blocks defect 0029404 closedaferraz Not possible to calculate the cost of a return if the product was changed to stocked after the shipment was completed 
causes defect 00318353.0PR16Q2 closedaferraz Not possible to change the product definition to Stocked under some circumstancies 

-  Notes
(0070625)
hgbot (developer)
2014-10-01 18:33

Repository: erp/devel/pi
Changeset: 195e03758dbf9272d2cb12b0be32977d9384dfb7
Author: Gorka Ion Damián <gorkaion.damian <at> openbravo.com>
Date: Tue Aug 19 15:08:48 2014 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/195e03758dbf9272d2cb12b0be32977d9384dfb7 [^]

Related to issue 25930.Do not allow to modify production flag with stock.

---
M src-db/database/model/triggers/M_PRODUCT_TRG.xml
M src-db/database/sourcedata/AD_MESSAGE.xml
---
(0070626)
hgbot (developer)
2014-10-01 18:33

Repository: erp/devel/pi
Changeset: 33aa62ec198d780882d7348f5ef906c864bc9535
Author: Gorka Ion Damián <gorkaion.damian <at> openbravo.com>
Date: Wed Aug 20 09:35:07 2014 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/33aa62ec198d780882d7348f5ef906c864bc9535 [^]

Related to issue 25930.Fix error message in trigger.

---
M src-db/database/model/triggers/M_PRODUCT_TRG.xml
---
(0078925)
aferraz (developer)
2015-07-17 12:24
edited on: 2015-07-17 12:25

Test plan:

As QA Admin:
   Create a product and set it as Stocked = 'N'. Save it.
   Change the definition of the product to Stocked = 'Y'.
   Realize you do not get any error.
   Change the definition of the product to Stocked = 'N'.
   Realize you do not get any error.
   Create and process a goods receipt for that product
   Try to change the definition of the product to Stocked = 'Y'
   Realize you get an error.
   Void the receipt.
   Try to change the definition of the product to Stocked = 'Y'
   Realize you do not get any error.
   Repeat the same test with Goods Shipment, Goods Movement, Physical Inventory and Bill of Materials Production

(0079181)
hgbot (developer)
2015-08-04 12:52

Repository: erp/devel/pi
Changeset: ee61e2853e243323f1a5c9a6249fca6754665058
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Fri Jul 17 12:06:13 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/ee61e2853e243323f1a5c9a6249fca6754665058 [^]

Fixes issue 25930: Not allow to change stocked flag in Product window

Do not allow to update the product from No stocked to Stocked if it appears in completed documents which generate inventory transactions (Goods Receipt, Goods Shipment, Goods Movement, Physical Inventory or Bill of Materials Production).

---
M src-db/database/model/triggers/M_PRODUCT_TRG.xml
M src-db/database/sourcedata/AD_MESSAGE.xml
---
(0079182)
vmromanos (developer)
2015-08-04 12:53

Code review + testing OK
(0079521)
hudsonbot (developer)
2015-08-20 23:16

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/8c91718397a5 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2014-03-07 10:53 VictorVillar New Issue
2014-03-07 10:53 VictorVillar Assigned To => dmiguelez
2014-03-07 10:53 VictorVillar Modules => Core
2014-03-07 10:53 VictorVillar Triggers an Emergency Pack => No
2014-03-07 10:53 VictorVillar Issue Monitored: networkb
2014-03-11 00:16 ngarcia Issue Monitored: ngarcia
2014-10-01 18:33 hgbot Checkin
2014-10-01 18:33 hgbot Note Added: 0070625
2014-10-01 18:33 hgbot Checkin
2014-10-01 18:33 hgbot Note Added: 0070626
2015-03-25 13:16 ngarcia Relationship added related to 0029404
2015-07-17 10:32 aferraz Assigned To dmiguelez => aferraz
2015-07-17 10:58 aferraz Type feature request => defect
2015-07-17 10:58 aferraz Proposed Solution updated
2015-07-17 10:59 aferraz Proposed Solution updated
2015-07-17 11:10 aferraz Relationship deleted related to 0029404
2015-07-17 11:11 aferraz Relationship added blocks 0029404
2015-07-17 12:24 aferraz Note Added: 0078925
2015-07-17 12:25 aferraz Note Edited: 0078925 View Revisions
2015-08-04 12:21 vmromanos Status new => scheduled
2015-08-04 12:52 hgbot Checkin
2015-08-04 12:52 hgbot Note Added: 0079181
2015-08-04 12:52 hgbot Status scheduled => resolved
2015-08-04 12:52 hgbot Resolution open => fixed
2015-08-04 12:52 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/ee61e2853e243323f1a5c9a6249fca6754665058 [^]
2015-08-04 12:53 vmromanos Review Assigned To => vmromanos
2015-08-04 12:53 vmromanos Note Added: 0079182
2015-08-04 12:53 vmromanos Status resolved => closed
2015-08-20 23:16 hudsonbot Checkin
2015-08-20 23:16 hudsonbot Note Added: 0079521
2016-01-07 18:24 ngarcia Relationship added related to 0031833
2016-01-08 08:56 VictorVillar Relationship added causes 0031835


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker